Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#41Messageil y a 2 mois

je suis novice ou nul je sais pas mais :

Bluetoothctl
bash: Bluetoothctl : commande introuvable
[rico@Manjaro ~]$ bluetoothctl
bash: bluetoothctl : commande introuvable
Le start se lance mais rien ne fonctionne mieux.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#42Messageil y a 2 mois

stephane a écrit : il y a 2 mois @bicounet : tu retire d'abord l'un ou l'autre ,
puis tu fais la maj , et tu verifie avant de rebooter pour la partie nvidia-util

s'il le faut en terminal

sudo sudo mhwd -a pci nonfree 0300
vérifie que tu as bien nvidia installé


@cyberD3ram
tu redémarre à partir d'une clé USB iso manjaro

sudo manjaro-chroot -a
mhwd-kernel -li
mhwd -li
exit  
**************************************************************************
Résultat de quelques commandes après avoir rebooter le PC en mode graphique (qui fonctionne bien) :
sudo mhwd -a pci nonfree 0300

> Skipping already installed config 'video-hybrid-intel-nvidia-prime' for device: 0000:00:02.0 (0300:8086:191b) Display controller Intel Corporation HD Graphics 530
mhwd -li

> Installed PCI configs:
--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
video-hybrid-intel-nvidia-prime            2020.11.30               false            PCI
           video-linux            2018.05.04                true            PCI
     video-modesetting            2020.01.13                true            PCI
mhwd-kernel -li

Currently running: 5.10.2-2-MANJARO (linux510)
The following kernels are installed in your system:
   * linux510
   * linux54
   * linux59
   * linux54-rt
   * linux59-rt
inxi -SGx

System:
  Host: msi-gp726qe Kernel: 5.10.2-2-MANJARO x86_64 bits: 64 
  compiler: gcc v: 10.2.0 Desktop: Xfce 4.14.3 
  Distro: Manjaro Linux 
Graphics:
  Device-1: Intel HD Graphics 530 vendor: Micro-Star MSI 
  driver: i915 v: kernel bus ID: 00:02.0 
  Device-2: NVIDIA GM107M [GeForce GTX 950M] 
  vendor: Micro-Star MSI driver: nvidia v: 455.45.01 
  bus ID: 01:00.0 
  Device-3: Acer BisonCam NB Pro type: USB driver: uvcvideo 
  bus ID: 1-11:5 
  Display: x11 server: X.Org 1.20.10 driver: modesetting,nvidia 
  resolution: 1920x1080~60Hz 
  OpenGL: renderer: GeForce GTX 950M/PCIe/SSE2 
  v: 4.6.0 NVIDIA 455.45.01 direct render: Yes
Tout cela est-il correct ?
Dernière modification par bicounet18il y a 2 mois, modifié au total 3 fois.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#43Messageil y a 2 mois

a priori c'est correct , si tu as l'interface graphique.
as tu testé prime ?
tu peux retirer les noyaux 59 et 59-rt

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#44Messageil y a 2 mois

Oui, l'interface graphique fonctionne correctement.
par contre, quelques erreurs avec dmesg :
sudo dmesg --level err

[    0.155264] DMAR: [Firmware Bug]: No firmware reserved region can cover this RMRR [0x000000007b800000-0x000000007fffffff], contact BIOS vendor for fixes
[    0.155545] DMAR: DRHD: handling fault status reg 2
[    0.155549] DMAR: [INTR-REMAP] Request device [f0:1f.0] fault index 0 [fault reason 37] Blocked a compatibility format interrupt request

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#45Messageil y a 2 mois

je suis perdu ... avec ce bluetooth

sudo dmesg --level err

[sudo] Mot de passe de rico : 
[    0.104118] DMAR: [Firmware Bug]: No firmware reserved region can cover this RMRR [0x0000000078800000-0x000000007affffff], contact BIOS vendor for fixes
[    0.104535] DMAR: DRHD: handling fault status reg 3
[    0.104538] DMAR: [INTR-REMAP] Request device [f0:1f.0] fault index 0 [fault reason 37] Blocked a compatibility format interrupt request
[    0.164665] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.RP01.PXSX], AE_NOT_FOUND (20200925/psargs-330)
[    0.164674] ACPI Error: Skipping While/If block (20200925/psloop-427)
[    4.307603] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[    4.307611] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[    4.949082] snd_hda_intel 0000:01:00.1: no codecs found!
[   11.825724] Bluetooth: hci0: don't support firmware rome 0x31010100
[  108.897197] Bluetooth: hci0: don't support firmware rome 0x31010100

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#46Messageil y a 2 mois

Est-ce que ça passe avec le 5.4?

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#47Messageil y a 2 mois

lemust83 a écrit : il y a 2 mois Est-ce que ça passe avec le 5.4?
Je suis en train de faire la mise à jour en mode graphique avec pamac (2,9 Go à télécharger, branche stable, kernel LTS 5.4, Xfce avec processeur Intel et chipset graphique Intel). J'ai installé au préalable depuis les dépôts officiels `rebuild-detector` en ligne de commande avec pacman.
Je bois ma bière, puis je posterai ici si ça se passe mal... :sos:

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#48Messageil y a 2 mois

lemust83 a écrit : il y a 2 mois Est-ce que ça passe avec le 5.4?
En 5.9 oui
En 5.10 non
pas essayer en 5.4 mais je pense que a terme je vais revenir dessus car mon pc a 4 ans et j'ai de moins en moins envie de jouer ca

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#49Messageil y a 2 mois

Le 5.9 est en fin de vie (EOL). Il fonctionne donc toujours bien, mais sera rapidement obsolète. Je rappelle que contrairement à *Arch, Manjaro n'installera jamais une version N+1 du kernel sans l’installer explicitement.
Le prochain noyau LTS donc supporté à long terme sera le 5.10, mais qui souffre encore de sa jeunesse.
Actuellement, selon notre environnement matériel, les anciens kernels LTS comme le 4.14, 4.19 et le 5.4 peuvent encore couvrir l'essentiel de nos besoin.
Si certains modules ne passent pas avec le 5.10 mais sont actifs avec les anciennes versions du noyaux, alors si ce n'est pour des fins d'essais, autant revenir à des bases plus stables en attendant que les développeurs de ces dits modules récalcitrants aient le temps de s'adapter.
En général, il faut quelques semaines de battements, d'où nos recommandations de ne pas se précipiter à immédiatement mettre à jour à moins de savoir s'en sortir.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#50Messageil y a 2 mois

Armag67 a écrit : il y a 2 mois
lemust83 a écrit : il y a 2 mois Est-ce que ça passe avec le 5.4?
Je suis en train de faire la mise à jour en mode graphique avec pamac (2,9 Go à télécharger, branche stable, kernel LTS 5.4, Xfce avec processeur Intel et chipset graphique Intel). J'ai installé au préalable depuis les dépôts officiels `rebuild-detector` en ligne de commande avec pacman.
Je bois ma bière, puis je posterai ici si ça se passe mal... :sos:
Bon, ça s'est assez bien passé (vu ma config c'est assez normal). J'ai tout de même dû bidouiller pour faire fonctionner Ninja-IDE (https://aur.archlinux.org/account/Armag67/comments/ & https://github.com/ninja-ide/ninja-ide/issues/2112) et réinstaller tous mes modules user Python. Seul pyarrow (indispensable au module covidify) me pose problème (https://github.com/apache/arrow/issues/9081). Il faut que j'attende qu'une "wheel" soit disponible pour Python 3.9.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#51Messageil y a 2 mois

Bonjour,
J'ai lancé la mise à jour en gui et avant de redémarrer mon système j'ai cet avertissement :
Erreur lors de la configuration de manjaro-system
Erreur lors de la configuration de manjaro-system
Avertissement : linux510 : /boot/linux510-x86_64.kver existe déjà dans le système de fichiers
Il a été sauvegardé comme /boot/linux510-x86_64.kver.old
Avertissement : linux510 : /usr/lib/modules/5.10.2-2-MANJARO/build/vmlinux existe déjà dans le système de fichiers
Il a été sauvegardé comme /usr/lib/modules/5.10.2-2-MANJARO/build/vmlinux.old
Avertissement : linux510 : /usr/lib/modules/5.10.2-2-MANJARO/extramodules existe déjà dans le système de fichiers
Il a été sauvegardé comme /usr/lib/modules/5.10.2-2-MANJARO/extramodules.old
etc.
Mais j'ai aussi dans le gui :
Vérification du trousseau...
Vérification de l’intégrité des paquets...
Chargement des fichiers des paquets...
Analyse des conflits entre fichiers...
Vérification de l’espace disque disponible...
Exécution des crochets de pré-transaction...
Creating Timeshift snapshot before upgrade...
==> skipping timeshift-autosnap due skipAutosnap in /etc/timeshift-autosnap.conf set to TRUE.
Mise à jour de vorta (0.7.1-3 -> 0.7.1-5)...
Mise à jour de python-rapidfuzz (0.14.1-1 -> 0.14.2-1)...
Mise à jour de python-guessit (3.1.1-1 -> 3.2.0-1)...
Exécution des crochets de post-transaction...
Arming ConditionNeedsUpdate...
Updating icon theme caches...
Updating the desktop file MIME type cache...
Transaction successfully finished.
Je redémarre malgré les avertissements ?

Merci.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#52Messageil y a 2 mois

Bon, alors j'ai redémarré et cela a l'air d'être bon. Par contre voilà ce que j'ai au démarrage :
Image

J'ai séléctionné ce qui est en surbrillance dans la capture ci-dessus puis sélectionné mon noyau et cela a bien démarré.

Mais à quoi correspondent les lignes 'manjaro linux (20.2) et la ligne 'options avancées pour manjaro linux (2... ) ? Je n'avais pas ces deux lignes avant la maj.

Merci.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#53Messageil y a 2 mois

tus as installé en btrfs ?

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#54Messageil y a 2 mois

stephane a écrit : il y a 2 mois tus as installé en btrfs ?
Non.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#55Messageil y a 2 mois

papajoke a écrit : il y a 2 moispacman -Qo /usr/lib/python3.8/ retourne normalement aucun paquet après mise à jour, sinon il faut les ré-installer
Bonjour,
J'ai :
pacman -Qo /usr/lib/python3.8/ at  19:08:17
/usr/lib/python3.8/ is owned by autokey-patched 0.95.10-1
/usr/lib/python3.8/ is owned by bandcamp-dl-git v0.0.8.12.r5.g0b9ce91-1
/usr/lib/python3.8/ is owned by python-apscheduler 3.6.3-3
/usr/lib/python3.8/ is owned by python-babelfish 0.5.5-2
/usr/lib/python3.8/ is owned by python-demjson-git r41.5bc6597-1
/usr/lib/python3.8/ is owned by python-enzyme 0.4.1-3
/usr/lib/python3.8/ is owned by python-path-and-address 2.0.1-1
/usr/lib/python3.8/ is owned by python-pytube3 9.6.4-2
/usr/lib/python3.8/ is owned by python-rarfile 4.0-1
/usr/lib/python3.8/ is owned by python-sphinxcontrib-programoutput 0.16-1
/usr/lib/python3.8/ is owned by python-spotipy 2.16.1-2
/usr/lib/python3.8/ is owned by python-unicode-slugify 0.1.3-1
/usr/lib/python3.8/ is owned by subliminal-git 2.1.0.r22.g160ea63-1
Je dois réinstaller des choses ?

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#56Messageil y a 2 mois

letransfuge a écrit : il y a 2 mois:salut:
Il est recommandé d'installer rebuild-detector dispo dans AUR et de lancer:

pamac -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-package")
Marche aussi avec trizen
Ne pas oublier le "s" à la fin de site-packages

Alors deux questions :

1) J'ai installé rebuild-detector après la màj et via le repo et non via AUR, cela change-t-il quelque chose ?

2) J'ai lancé pamac -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-packages") et j'obtiens :

pamac -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-packages")
Available actions:
  pamac --version     
  pamac --help, -h     [action]
  pamac search         [options] <package(s)>
  pamac list           [options] <package(s)>
  pamac info           [options] <package(s)>
  pamac install        [options] <package(s)>
  pamac reinstall      [options] <package(s)>
  pamac remove         [options] [package(s)]
  pamac checkupdates   [options]
  pamac update,upgrade [options]
  pamac clone          [options] <package(s)>
  pamac build          [options] [package(s)]
  pamac clean          [options]
C'est normal ?

Merci.
10
administration/modération

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#57Messageil y a 2 mois

Bonjour.
En fait, Philm recommande l'utilisation de Yay pour cette commande. J'ai essayé d'autres Aur-Helpers et même le bon vieux yaourt ont donné en retour une liste de vieux paquets Aur à reconstruire. Pamac étant capable de gérer des paquets Aur si définit dans les préférences, je l'ai testé et ai eu le même résultat ,sauf que pamac affiche aussi par défaut le menu de l'aide (--help).
Donc tu n'as rien à faire de ce côté là.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#58Messageil y a 2 mois

lemust83 a écrit : il y a 2 mois Bonjour.
...
Donc tu n'as rien à faire de ce côté là.
Ok, merci.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#59Messageil y a 2 mois

Bonjour tout le monde et bonne année libérée

mise à jour sans problème : installé rebuild-detector avant de la lancer, et le système a opéré son office
455 paquets pour 1,9 go

merci pour les conseils
bravo aux équipes

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#60Messageil y a 2 mois

Pas de souci ici avec le kernel 5.4.
 rebuild-detector, installé avant de lancer la maj n'a pas détecté de paquets concernés.
J'ai testé le noyau 5.10, toujours impossible de booter avec. On en restera donc au 5.4.
Merci !!
Répondre